Bug 251747 - RFE: Package JIRA feature
RFE: Package JIRA feature
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: eclipse-mylyn (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 497126 497128 497130 497139 497141
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-10 16:25 EDT by Andrew Overholt
Modified: 2014-06-12 05:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-12 05:03:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2007-08-10 16:25:35 EDT
Description of problem:
SSIA

We can't do this until we have packages for all of the libraries:

$ ls -1 org.eclipse.mylyn.jira.core/lib-axis/
axis-1.3.jar
commons-discovery-0.2.jar
jaxrpc-1.1.jar
saaj-1.2.jar
wsdl4j-1.5.1.jar

AFAICT we have packages for the first 2 and the last one so we need packages
containing jaxrpc and saaj.

Deepak:  do we have any such packages anywhere?
Comment 1 Jon Stanley 2008-04-23 16:30:28 EDT
Adding FutureFeature keyword to RFE's.
Comment 2 Deepak Bhole 2008-04-23 16:54:37 EDT
The axis rpm should provide saaj and jaxrpc in /usr/share/java/axis
Comment 3 Andrew Overholt 2008-04-24 09:45:29 EDT
Thanks, Deepak.  I think we probably need to OSGi-ify the dependent JARs before
we can use them as dependencies.
Comment 4 John Poelstra 2008-07-02 15:42:20 EDT
triaged
Comment 5 Andrew Overholt 2009-04-22 09:53:44 EDT
Adding dependent bugs.
Comment 6 Andrew Overholt 2009-04-22 09:57:56 EDT
Fixing component.
Comment 7 Fedora Admin XMLRPC Client 2010-09-01 09:42:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Severin Gehwolf 2011-10-19 23:06:01 EDT
What is the status of this one? Here is the link to relevant sources. https://bitbucket.org/atlassian/connector-eclipse/downloads
Comment 9 Andrew Overholt 2011-10-20 14:33:10 EDT
AFAIK no one is working on this.  Feel free :)
Comment 13 Fedora Admin XMLRPC Client 2013-02-21 05:55:47 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Alexander Kurtakov 2014-06-12 05:03:24 EDT
I'm closin this one. I don't plan such work and it's not really mylyn package bug as it has been long removed from mylyn upstream and lives it's own life for years.

Note You need to log in before you can comment on or make changes to this bug.